Bug 38092 - /sbin/nologin instead of /bin/false
/sbin/nologin instead of /bin/false
Product: Red Hat Linux
Classification: Retired
Component: pidentd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-04-27 10:11 EDT by Jan "Yenya" Kasprzak
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-27 10:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2001-04-27 10:11:58 EDT
I have a suggestion for improving Red Hat linux (I've actually seen
this in OpenBSD): Red Hat Linux adds many pseudo-users (for example
named, squid, ident, rpc, rpcuser, etc.). It adds these pseudo-users
with /bin/false shell. I suggest to add the /sbin/nologin program to the
system, and use this as the default shell of the pseudo-users. Then you
can make /sbin/nologin to complain loudly when it is executed. User can
thus spot possible break-in attempts.

Comment 1 Trond Eivind Glomsrxd 2001-04-27 10:16:02 EDT
We're discussing it.
Comment 2 Trond Eivind Glomsrxd 2001-04-30 10:59:07 EDT
Fixed in pidentd-3.0.12-5 - /sbin/nologin was added to util-linux-2.11a-4

Note You need to log in before you can comment on or make changes to this bug.